ELF32_FSIZE(3)

NAME
elf32_fsize, elf64_fsize - calculate the file size of an ELF data structure

SYNOPSIS
#include <libelf.h>
size_t elf32_fsize(Elf_Type type, size_t count, unsigned int version);
size_t elf64_fsize(Elf_Type type, size_t count, unsigned int version);

DESCRIPTION
Given an Elf_Type representation of a core ELF structure as well as the number of items, return the number of bytes needed for the on-disk representation in a 32-bit or 64-bit ELF file. The on-disk and in-memory representations of Elf_Type are assumed to be the same. See libelf(3) for more information regarding Elf_Type.

PARAMETERS

type
    The ELF data structure type for which the file size is to be calculated.

count
    The number of elements of the specified type.

version
    The ELF version. This should be set to EV_CURRENT, which is the only valid value.

RETURN VALUE
The size in bytes of the specified count and type of data structure. If version is not set to EV_CURRENT or type is not a valid Elf_Type, return 0 and set a libelf error code. Integer overflow can occur if the size of type multiplied by count is greater than SIZE_MAX.

SEE ALSO
elf_errno(3), libelf(3), elf(5)

ATTRIBUTES
For an explanation of the terms used in this section, see attributes(7).
Interface | Attribute | Value
 | Thread safety | MT-Safe

REPORTING BUGS
Report bugs to <elfutils-devel@sourceware.org> or https://sourceware.org/bugzilla/.